# Enum MultipleGradientPaint.CycleMethod

java.lang.Object
java.lang.Enum<MultipleGradientPaint.CycleMethod>
com.codename1.ui.MultipleGradientPaint.CycleMethod

All Implemented Interfaces:
  `Comparable<MultipleGradientPaint.CycleMethod>`

Enclosing class:
  `MultipleGradientPaint`

public static enum MultipleGradientPaint.CycleMethod extends Enum<MultipleGradientPaint.CycleMethod>
Cycle methods for gradients.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_CYCLE`
  The gradient should not cycle at all.
  `REFLECT`
  The gradient should cycle with reflection.
  `REPEAT`
  The gradient should repeat to fill the space.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MultipleGradientPaint.CycleMethod`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultipleGradientPaint.CycleMethod[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_CYCLE

    public static final MultipleGradientPaint.CycleMethod NO_CYCLE
    The gradient should not cycle at all.

  - ### REFLECT

    public static final MultipleGradientPaint.CycleMethod REFLECT
    The gradient should cycle with reflection.

  - ### REPEAT

    public static final MultipleGradientPaint.CycleMethod REPEAT
    The gradient should repeat to fill the space.

- ## Method Details

  - ### values

    public static MultipleGradientPaint.CycleMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultipleGradientPaint.CycleMethod valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null